import { SimpleLocalIntegration } from '../../core/index.js';
import { NmapTrackerConfigFlow } from './nmap_tracker.classes.configflow.js';
import { createNmapTrackerDiscoveryDescriptor } from './nmap_tracker.discovery.js';
import type { INmapTrackerConfig } from './nmap_tracker.types.js';
import { nmapTrackerDomain, nmapTrackerProfile } from './nmap_tracker.types.js';

export class NmapTrackerIntegration extends SimpleLocalIntegration<INmapTrackerConfig> {
  public readonly domain = nmapTrackerDomain;
  public readonly discoveryDescriptor = createNmapTrackerDiscoveryDescriptor();
  public readonly configFlow = new NmapTrackerConfigFlow();

  constructor() {
    super(nmapTrackerProfile);
  }
}

export class HomeAssistantNmapTrackerIntegration extends NmapTrackerIntegration {}
